<template>
  <div class="h-full bg-neutral-10 border border-neutral-300 rounded-xl ml-4 p-4 space-y-2">
    <p class="h2 pl-2 border-b mb-3">Activity list</p>
    <div class="flex flex-wrap justify-start content-start gap-4 px-2 overflow-y-auto scrollbar h-[calc(100%_-_48px)]" id="cyp-conformance-list-checkbox">
      <div class="flex items-center w-[166px]" v-for="(act, index) in sortData" :key="index" :title="act">
        <Checkbox v-model="actList" :inputId="index.toString()" name="actList" :value="act" @change="actListData"/>
        <label :for="index" class="ml-2 p-2 whitespace-nowrap break-keep text-ellipsis overflow-hidden">{{ act }}</label>
      </div>
    </div>
  </div>
</template>
<script>
import { sortNumEngZhtw } from '@/module/sortNumEngZhtw.js';

export default {
  props: ['data', 'select'],
  data() {
    return {
      sortData: [],
      actList: this.select,
    }
  },
  watch: {
    data: {
      handler: function(newValue) {
        this.sortData = sortNumEngZhtw(newValue)
      },
      immediate: true, // 立即執行一次排序
    },
    select: function(newValue) {
      this.actList = newValue;
    }
  },
  methods: {
    actListData() {
      this.$emitter.emit('actListData', this.actList);
    }
  },
  created() {
    this.$emitter.on('reset', (data) => {
      this.actList = data;
    });
  },
}
</script>
